import React, { useState, ChangeEvent, MouseEvent, useEffect } from "react";
import { Card, Button, TextField } from "@mui/material"
import "@scss/login.scss"
import { Link, useNavigate } from "react-router-dom";

export default function Login() {
    const [email, setEmail] = useState("");
    const [password, setPassword] = useState("");
    const navigate = useNavigate();

    function hash(s: string) {
        return s;
    }

    function handleEmail(e: ChangeEvent<HTMLInputElement>) {
        setEmail(e.target.value);
        console.log(email);
    }

    function handlePassword(e: ChangeEvent<HTMLInputElement>) {
        setPassword(e.target.value);
        console.log(hash(password));
    }

    function buttonSubmit(e: MouseEvent<HTMLButtonElement>) {
        e.preventDefault();
        console.log(`Sumbitting username "${email}" and password "${hash(password)}"`)
        navigate("/")
    }

    return (
        <main className="cardContainer">
            <Card className="card">
                <h3>Login</h3>
                <TextField className="textfield" id="email" label="Email" value={email} onChange={handleEmail} />
                <TextField className="textfield" id="password" label="Password" type="password" value={password} onChange={handlePassword} />
                <Button id="submit" variant="contained" onClick={buttonSubmit}>Login</Button>
                <p>Forgot your <Link to="/forgot">password</Link>?</p>
            </Card>
        </main>
    )
}
